# Phanpy - Fork projektu

Toto je fork projektu [Phanpy](https://github.com/cheeaun/phanpy)., minimalistického webového klienta pro Mastodon. Cílem tohoto forku je pracovat na různých vylepšeních a úpravách.

## Popis

Phanpy je minimalistický a názorový webový klient pro Mastodon. Tento fork byl vytvořen, aby umožnil další experimenty a úpravy projektu.

## Funkce

- 👪 Podpora více účtů
- 🪟 Vyskakovací a zasouvací okno pro psaní příspěvků
- 🌗 Světlý/tmavý/automatický režim
- 🔔 Seskupené notifikace
- 🪺 Vnořené vlákna komentářů
- 📬 Obnova neodeslaných konceptů
- 🎠 Karusel pro boosty™️
- ⚡ Zkratky™️ s režimy zobrazení jako multi-sloupcový nebo s tabulkovým panelem
- #️⃣ Časová osa s více hashtagy

## Vylepšení

- Akce u statusů (odpovědět, boost, oblíbené, záložka, atd.) jsou ve výchozím nastavení skryté.
- Objevují se pouze na individuální stránce statusu. Toto je zamýšleno ke snížení nepořádku a rozptylování. Může to vést k nižší angažovanosti, ale nehoníme se za čísly.
- Boost je reprezentován ikonou rakety.
- Zelená dvojitá šipka (retweet pro Twitter) neodpovídá termínu "boost". Zelená raketa vypadá divně, takže používám fialovou.
- Krátká uživatelská jména (@username) jsou zobrazena v časové ose místo úplného uživatelského jména (@username@instance).
- Navzdory zmíněné směrnici, že "decentralizace musí být uživateli transparentní", nemyslím si, že bychom to měli uživateli cpát do tváře pokaždé. Existují také některé problémy s přístupností pro čtečky obrazovky s úplným uživatelským jménem, ačkoli tato webová aplikace bohužel ještě není přístupná.
- Žádné automatické přehrávání videí/GIFů/čehokoliv v časové ose.
- Časová osa je již velký nepořádek s mnoha lidmi, značkami, zprávami a médii, které se snaží upoutat vaši pozornost. Nezhoršujme to. (Současná výjimka jsou animované emoji.)
- URL založené na hashe.
- Tato webová aplikace není zamýšlena jako plnohodnotná náhrada za stávající front-end Mastodonu. Neexistuje zde žádné SEO, databáze, serverless nebo jakékoliv dlouhodobě běžící servery. Možná se jednou mýlím.

## Instalace

Postup instalace a používání této verze je stejný jako u původního projektu. Další informace najdete v původní dokumentaci [zde](https://github.com/cheeaun/phanpy).

## Licence

Tento projekt je licencován pod licencí MIT. Původní autor projektu je Lim Chee Aun. Úpravy a experimenty provádí [Archos].

## Poznámka

Tento fork byl vytvořen za účelem dalšího vývoje a experimentů s projektem Phanpy. Pokud máte jakékoliv dotazy nebo připomínky, neváhejte nás kontaktovat.
